kdecore Library: KCatalogue Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KCatalogue Class Reference

This class abstracts a gettext message catalog. More...

`#include <kcatalogue.h>`

List of all members.

## Public Member Functions
| KCatalogue (const QString &name=QString::null, const QString &language=QString::null)
| KCatalogue (const KCatalogue &rhs)
KCatalogue & | operator= (const KCatalogue &rhs)
virtual | ~KCatalogue ()
QString | name () const
QString | language () const
int | pluralType () const
void | setPluralType (int pluralType)
const char * | translate (const char *msgid) const

## Detailed Description

This class abstracts a gettext message catalog.

It will take care of opening the file and reading the catalog.

See also:
  KLocale

Definition at line 37 of file kcatalogue.h.

## Constructor & Destructor Documentation

KCatalogue::KCatalogue | ( | const QString & | name = `QString::null`,
|  | const QString & | language = `QString::null`
| ) | `[explicit]`

  | Constructor. Parameters:
  | name | The name of the catalog
  | language | The language of this catalog
Definition at line 55 of file kcatalogue.cpp. References QString::arg(), QString::fromLatin1(), language(), and name().

KCatalogue::KCatalogue | ( | const KCatalogue & | rhs | ) |

| Copy constructor. Definition at line 73 of file kcatalogue.cpp.

KCatalogue::~KCatalogue | ( |  | ) | `[virtual]`

| Destructor. Definition at line 89 of file kcatalogue.cpp.

## Member Function Documentation

KCatalogue & KCatalogue::operator= | ( | const KCatalogue & | rhs | ) |

| Assignment operator. Definition at line 79 of file kcatalogue.cpp. References QString::d(), and name().

QString KCatalogue::name | ( |  | ) | const

| Returns the name of the catalog. Returns: The name of the catalog Definition at line 96 of file kcatalogue.cpp. Referenced by KCatalogue(), and operator=().

QString KCatalogue::language | ( |  | ) | const

| Returns the language of the catalog. Returns: The language of the catalog Definition at line 101 of file kcatalogue.cpp. Referenced by KCatalogue().

int KCatalogue::pluralType | ( |  | ) | const

| Returns the plural type for the catalog. This type is based on the language of the catalog and is cached for performance. Returns: The plural type for the catalog Definition at line 111 of file kcatalogue.cpp.

void KCatalogue::setPluralType | ( | int | pluralType | ) |

| Sets the plural type for the catalog. The caller has probably looked it up in a kdelibs.mo-catalog for the appropriate language Returns: The plural type for the catalog Definition at line 106 of file kcatalogue.cpp.

const char * KCatalogue::translate | ( | const char * | msgid | ) | const

  | Retrieves a translation of the specified message id. Do not pass 0 or "" strings as message ids. Parameters:
  | msgid | The message id
Returns: The translated message, in utf8 encoding, or 0 if not found Definition at line 140 of file kcatalogue.cpp.

The documentation for this class was generated from the following files:

- kcatalogue.h
- kcatalogue.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:20 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003